/**
 * @author R. Matt McCann
 * @brief Styling for the main app component
 * @copyright &copy; 2016 R. Matt McCann
 */
@import "../sass/imports";

h1 {
    font-size: 2.5em;
    font-weight: 600;
}

h2 {
    font-size: 2.0em;
    font-weight: 500;
}

p {
    font-size: 1.25em;
    font-weight: 200;
    line-height: 140%;
    margin-bottom: 1.5em;
}

#benefits {
    h2 {
        color: $hd-blue-dk2;
        margin-top: 0;
        margin-bottom: 0;
    }

    .city-skyline-wrap {
        background-image: url('../../img/landing-page/looking-out-over-city-people-1x.png'),
            url('../../img/landing-page/looking-out-over-city-buildings-1x.png');
        background-color: white;
        background-repeat: no-repeat, repeat-x;

        @media only screen and (orientation: landscape) and (max-width: $screen-sm-max) {
            background-position: right bottom, center bottom;
            background-size: auto 65%, auto 45%;
        }

        @media only screen and (orientation: landscape) and (min-width: $screen-md-min) {
            background-position: right bottom, center bottom;
            background-size: auto 100%, auto 80%;
        }

        @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
            background-position: right bottom, center bottom;
            background-size: auto 55%, auto 50%;
        }

        @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
            background-position: right bottom, center bottom;
            background-size: auto 100%, auto 80%;
        }

        @media only screen and (orientation: portrait) and (min-width: $screen-md-min) {
            background-position: right bottom, center bottom;
            background-size: auto 100%, auto 80%;
        }

        .city-skyline {
            @media only screen and (orientation: landscape) and (max-width: $screen-sm-max) {
                padding-bottom: 16.0em;
                padding-top: 4.0em;
            }

            @media only screen and (orientation: landscape) and (min-width: $screen-md-min) {
                padding-bottom: 10.0em;
                padding-top: 10.0em;
            }

            @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
                padding-bottom: 16.0em;
                padding-top: 4.0em;
            }

            @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
                padding-bottom: 16.0em;
                padding-top: 4.0em;
            }

            @media only screen and (orientation: portrait) and (min-width: $screen-md-min) {
                padding-bottom: 10.0em;
                padding-top: 10.0em;
            }
        }
    }

    .handshake-wrap {
        background-color: $hd-blue-dk1;
        background-img: linear-gradient(to top right, $hd-blue-dk1, $hd-blue);

        .handshake {
            background-image: url("../../img/landing-page/handshake-1x.png");
            background-repeat: no-repeat;

            @media only screen and (orientation: landscape) and (max-width: $screen-sm-max) {
                background-position: center bottom;
                background-size: 60% auto;
                padding-bottom: 18.0em;
                padding-top: 4.0em;
            }

            @media only screen and (orientation: landscape) and (min-width: $screen-md-min) and (max-width: $screen-md-max) {
                background-position: left bottom;
                background-size: 60% auto;
                padding-bottom: 8.0em;
                padding-top: 8.0em;
            }

            @media only screen and (orientation: landscape) and (min-width: $screen-lg-min) {
                background-position: left bottom;
                background-size: auto 95%;
                padding-bottom: 8.0em;
                padding-top: 8.0em;
            }

            @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
                background-position: center bottom;
                background-size: 100% auto;
                padding-bottom: 16.0em;
                padding-top: 4.0em;
            }

            @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
                background-position: left center;
                background-size: 50% auto;
                padding-bottom: 8.0em;
                padding-top: 8.0em;
            }

            @media only screen and (orientation: portrait) and (min-width: $screen-md-min) {
                background-position: left bottom;
                background-size: 60% auto;
                padding-bottom: 8.0em;
                padding-top: 8.0em;
            }

            h2 {
                color: white;
            }

            p {
                color: white;
            }
        }
    }

    .post-hero-ribbon {
        box-shadow: 0px 2px rgba(0,0,0,0.3);
        color: $hd-blue-dk2;
        font-size: 2.25em;
        font-weight: 500;
        padding-bottom: 2.0em;
        padding-top: 2.0em;

        @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
            padding-left: 2.0em;
            padding-right: 2.0em;
        }
    }

    .privacy {
        background-image: url("../../img/landing-page/newspaper-1x.png");
        background-repeat: no-repeat;

        @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
            padding-top: 3.0em;
            padding-bottom: 18.0em;
            background-position: center bottom;
            background-size: 70% auto;
        }

        @media only screen and (orientation: landscape) and (min-width: $screen-sm-min) { //} and (max-width: $screen-sm-max) {
            padding-top: 8.0em;
            padding-bottom: 8.0em;
            background-position: right center;
            background-size: 60% auto;
        }

        @media only screen and (orientation: portrait) and (max-width: $screen-xxs-max) {
            padding-top: 3.0em;
            padding-bottom: 12.0em;
            background-position: left bottom;
            background-size: 90% auto;
        }

        @media only screen and (orientation: portrait) and (min-width: $screen-xs-min) and (max-width: $screen-xs-max) {
            padding-top: 3.0em;
            padding-bottom: 14.0em;
            background-position: left bottom;
            background-size: 90% auto;
        }

        @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) {
            padding-top: 8.0em;
            padding-bottom: 8.0em;
            background-position: right center;
            background-size: 60% auto;
        }
    }
}

#final-cta {
    background-color: #2196f3;
    min-height: 340px;
    padding-bottom: 4.0em;
    padding-top: 2.0em;
    text-align: center;

    button {
        font-weight: 500;
        padding: 15px 50px;
    }

    h1 {
        color: #ffffff;
        font-size: 40px;
        font-weight: 200;
        margin-bottom: 35px;
    }

    h2 {
        color: #ffffff;
        font-size: 24px;
        font-weight: 200;
        margin-bottom: 2.0em;
    }
}

// Styles for the opening hero banner
#hero-banner {
    background-color: $hd-blue;
    background-image: url('../../img/landing-page/hero-banner-people-1x.png'),
        url('../../img/landing-page/hero-banner-buildings-1x.png'), linear-gradient(to right, $hd-blue-dk1, $hd-blue);
    background-repeat: no-repeat, repeat-x, no-repeat;
    overflow: hidden;
    //text-shadow: 1px 1px 0px $hd-blue; // Helps keep the text visible when it overlaps the white flight lines

    // Portrait orientations
    @media only screen and (orientation: portrait) and (max-width: $screen-xxs-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 50%, auto 40%, cover;
        height: 125%;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: portrait) and (min-width: $screen-xs-min) and (max-width: $screen-xs-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 50%, auto 40%, cover;
        height: 100%;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
        background-position: left bottom, left bottom, left top;
        background-size: auto 70%, auto 40%, cover;
        height: 100%;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: portrait) and (min-width: $screen-md-min) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 80%, auto 40%, cover;
        height: 100%;
        padding-top: 6.0em;
    }

    // Landscape orientations
    @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 55%, auto 40%, cover;
        padding-bottom: 10.0em;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: landscape) and (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 80%, auto 40%, cover;
        height: 100%;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: landscape) and (min-width: $screen-md-min) and (max-width: $screen-md-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 80%, auto 40%, cover;
        height: 100%;
        padding-top: 2.5em;
    }

    @media only screen and (orientation: landscape) and (min-width: $screen-lg-min) and (max-width: $screen-lg-max) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 85%, auto 40%, cover;
        height: 100%;
        padding-top: 5.0em;
    }

    @media only screen and (orientation: landscape) and (min-width: $screen-xl-min) {
        background-position: right bottom, left bottom, left top;
        background-size: auto 100%, auto 40%, cover;
        height: 100%;
        padding-top: 7.5em;
    }

    button {
        font-weight: 700;
        padding: 15px 50px;
    }

    h1 {
        color: white;
        margin-bottom: 0.25em;
        margin-top: 0;
    }

    h2 {
        color: white;
        margin-top: 0;
    }

    p {
        color: white;
    }
}

#tour {
    background-color: $hd-blue;
    color: white;

    @media only screen and (orientation: landscape) {
        padding-bottom: 2.0em;
        padding-top: 1.0em;
    }

    @media only screen and (orientation: portrait) {
        padding-bottom: 2.0em;
        padding-top: 2.0em;
    }

    .btn-tour {
        margin-bottom: 1.0em;
        margin-top: 1.0em;

        @media only screen and (max-width: $screen-sm-max) {
            display: none;
        }

        .btn-tour-selected {
            background-color: #0c59cf;
            border-bottom: 3px solid white;
        }

        button {
            background-color: #2196f3;
            border: 0px;
            border-radius: 0px;
            color: #ffffff;
            font-size: 18px;
            font-weight: 200;
            height: 40px;
            margin: 0px 0px;
            width: 200px;

            &:hover {
                background-color: #0c59cf;
                border-bottom: 3px solid white;
            }
        }
    }

    .btn-tour-mobile {
        padding-bottom: 0.0em;

        @media only screen and (min-width: $screen-md-min) {
            display: none;
        }
    }

    .content {
        @media only screen and (max-width: $screen-sm-max) {
            display: none;
        }
    }

    .content-mobile {
        @media only screen and (min-width: $screen-md-min) {
            display: none;
        }
    }

    h1 {
        color: white;
        font-size: 2.5em;
        font-weight: 500;
        margin-bottom: 1.0em;

        @media only screen and (orientation: portrait) and (max-width: $screen-xxs-max) {
            font-size: 2.0em;
        }

        @media only screen and (orientation: portrait) and (min-width: $screen-sm-min) {
            font-size: 2.5em;
            margin-top: 1.0em;
        }
    }

    h2 {
        color: white;
        margin-bottom: 1.0em;

        @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
            margin-top: 1.0em;
        }
    }

    h3 {
        font-size: 1.75em;
        font-weight: 400;
    }

    img {
        margin-bottom: 1.0em;
        margin-top: 2.0em;
        width: 100%;

        @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
            display: none;
        }

        @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
            display: none;
        }
    }
}
